## org.eclipse.wst.wsdl.binding.mime
Interface MIMEMimeXml

All Superinterfaces:
  javax.wsdl.extensions.ExtensibilityElement, javax.wsdl.extensions.mime.MIMEMimeXml, java.io.Serializable, WSDLElement

    public interface MIMEMimeXml

extends ExtensibilityElement, javax.wsdl.extensions.mime.MIMEMimeXml

A representation of the model object 'Mime Xml'.

The following features are supported:

- `EPart`

See Also:
  `MIMEPackage.getMIMEMimeXml()`

Method Summary
`Part` `getEPart()` Returns the value of the 'EPart' reference
`java.lang.String` `getPart()` If the meaning of the 'Part' reference isn't clear, there really should be more of a description here...
`void` `setEPart(Part value)` Sets the value of the '`EPart`' reference
`void` `setPart(java.lang.String part)`

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibilityElement
`getElementType, isRequired, setElementType, setRequired`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.extensions.ExtensibilityElement
`getRequired, setRequired`

Methods inherited from interface javax.wsdl.extensions.ExtensibilityElement
`getRequired, setRequired`

Method Detail

### getEPart

    Part getEPart()

  Returns the value of the 'EPart' reference.

  If the meaning of the 'EPart' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EPart' reference.
  See Also:
    `setEPart(Part)`, `MIMEPackage.getMIMEMimeXml_EPart()`

### setEPart

    void setEPart(Part value)

  Sets the value of the '`EPart`' reference.

  Parameters:
    `value` - the new value of the 'EPart' reference.
  See Also:
    `getEPart()`

### setPart

    void setPart(java.lang.String part)

  Specified by:
    `setPart` in interface `javax.wsdl.extensions.mime.MIMEMimeXml`

### getPart

    java.lang.String getPart()

  If the meaning of the 'Part' reference isn't clear, there really should be more of a description here...

  Specified by:
    `getPart` in interface `javax.wsdl.extensions.mime.MIMEMimeXml`